Bug 524208 - Error message when starting vsftpd service with multiple configurations
Summary: Error message when starting vsftpd service with multiple configurations
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vsftpd
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Skala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-18 12:00 UTC by Jan ONDREJ
Modified: 2014-11-09 22:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-18 19:03:24 UTC


Attachments (Terms of Use)
Patch to fix this problem. (449 bytes, patch)
2009-09-18 12:00 UTC, Jan ONDREJ
no flags Details | Diff

Description Jan ONDREJ 2009-09-18 12:00:49 UTC
Created attachment 361634 [details]
Patch to fix this problem.

Description of problem:
When user has multiple configurations for vsftpd, an error message is displayed on startup.

Version-Release number of selected component (if applicable):
vsftpd-2.0.7-2.fc10.i386
I think same problem for fc11 too.

How reproducible:
Always.

Steps to Reproduce:
1. create 2 configurations, for example: cp -a /etc/vsftpd/vsftpd.conf /etc/vsftpd/vsftpd2.conf
2. edit you configuration as you wish, for example listen=no and enable listen_ipv6=yes
3. service vsftpd restart
  
Actual results:
Shutting down vsftpd:                                      [  OK  ]
/tmp/vsftpd: line 40: [: /etc/vsftpd/vsftpd.conf: binary operator expected
Starting vsftpd for vsftpd:                                [  OK  ]
Starting vsftpd for vsftpd2:                               [  OK  ]

Expected results:
/tmp/vsftpd: line 40: [: /etc/vsftpd/vsftpd.conf: binary operator expected
Starting vsftpd for vsftpd:                                [  OK  ]
Starting vsftpd for vsftpd2:                               [  OK  ]

Additional info:
Patch is attached, enough to change:
-                [ -z $CONFS ] && exit 6
+                [ -z "$CONFS" ] && exit 6

Comment 1 Jiri Skala 2009-10-18 19:03:24 UTC
backported to F-10 & F-11


Note You need to log in before you can comment on or make changes to this bug.